Viewing Issue Advanced Details Jump to Notes ] msx.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05949 Crash/Freeze Major Have not tried Jun 2, 2015, 00:57 Jul 31, 2015, 00:52
Tester rcoltrane View Status Public Platform MESS (Official Binary)
Assigned To wilbert Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver msx.cpp
Version 0.154 Fixed in Version 0.164 Build Normal
Summary MESS-specific 05949: expert11 [hero]: H.E.R.O. - Game does not start anymore
Description The game H.E.R.O. (Pony Cannon) (J) was working fine until version 0.153. From version 0.154 forward, it no longer works and when you try to run it, the system freezes at the initial MSX text screen. Other games seems to be working fine, but the driver had some sort of regression that affected this game in a particular way, maybe other games are no longer working too.
Steps To Reproduce Try to load and run the game H.E.R.O. (cartridge ROM) with version 0.154 or newer versions.
Additional Information
Flags
Regression Version 0.153
Affected Sets / Systems expert11 [hero]
Attached Files
 


-  Notes
User avatar
No.11711
hap
(Developer)
Jun 4, 2015, 10:53
HERO expects the rom not just at the usual location, but also at $0000-$3FFF
User avatar
No.11907
rcoltrane
(Tester)
Jul 29, 2015, 21:16
edited on: Jul 30, 2015, 00:21
It seems that this bug is not fixed yet. I'm trying to run this game with the latest MAME 0.164 official binary build and it's still not entering the game. Tried with both MAME and MESSUI and none of them works. Please verify.

User avatar
No.11908
Tafoid
(Administrator)
Jul 30, 2015, 02:45
Use the -cart media trigger because there is a cassette image with the same name which it is probably loading when simply type "mame expert11 hero"
"mess expert11 -cart1 hero" should work. Make sure your XML files in HASH are also updated completely.
User avatar
No.11909
rcoltrane
(Tester)
Jul 30, 2015, 11:51
Nope, still doesn't work. Neither with newest mame.exe nor with messui164. I tried the commandline you posted but it produced the very same result. The driver shows the Expert11 text screen and nothing else happens. And I'm pretty sure I have only the cartridge image here and it was working fine until mess 0.154 as reported before.

Also, when executing this mame commandline, after quitting, it shows 5 memory leak errors. I'm sure it's not fixed yet.
User avatar
No.11911
Tafoid
(Administrator)
Jul 30, 2015, 14:11
I can't guess as to your issues then. Try a fresh install in a new folder - complete with all hash files. Set up rompaths in mame.ini and try again.
With 0.164 and up to date hash files/software list romsets I have no problem running hero with the command line I presented above nor do I experience any memory leak errors at all.
An up to date softwarelist hash (msx1_cart.xml) is the most important because changes were made to most Activision MSX games to account for mapping issues.
User avatar
No.11912
Haze
(Senior Tester)
Jul 30, 2015, 14:36
yeah, I can confirm it works fine.

As Tafoid says make sure you have a proper up to date distribution, too many sites seem to ship only the .exe forgetting the software list hash files (or any of the other support folders for that matter)

Always use something from an official source, never somewhere like EmuCr or the sites offering 'no nag' builds which are a joke at this point.
User avatar
No.11920
rcoltrane
(Tester)
Jul 31, 2015, 00:52
edited on: Jul 31, 2015, 01:00
Finally got it working using the msx software list. As a side note, I'm using MessUI that is currently maintained by Robbert and while using it, I've noticed that HERO hangs if I mount the rom file with the SW picker, but when I run it straight from the Software List, it works like a charm. Could it be a bug in the way MessUI mounts the cartridge image file through the software picker? The rompath looks fine in the picker, but the game hangs as before.

Another thing: I was looking inside the msx xml hash and I've noticed that the HERO cart is supposed to have 16k in size. But my rom has 32k instead and it's working fine too, it only displays an incorrect checksum warning. And all the places I find with this game have the 32k rom image, I just could not find the 16k image anywhere. Which one is the correct dump? 16 or 32k?